> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rag.now/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new web crawl job



## OpenAPI

````yaml post /api/connect/crawling/
openapi: 3.0.3
info:
  title: Graphite API Documentation
  description: API documentation for Graphite
  version: 1.0.0
servers: []
security: []
paths:
  /api/connect/crawling/:
    post:
      tags:
        - web crawl
      summary: Create a new web crawl job
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CrawlUrlRequest'
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantCrawlJobShape'
components:
  schemas:
    CrawlUrlRequest:
      type: object
      properties:
        url:
          type: string
        limit:
          type: number
        excludePaths:
          type: array
          items:
            type: string
        includePaths:
          type: array
          items:
            type: string
        allowExternalLinks:
          type: boolean
      required:
        - url
        - limit
        - excludePaths
        - includePaths
        - allowExternalLinks
    TenantCrawlJobShape:
      type: object
      properties:
        id:
          type: string
        graphite_project_id:
          type: string
        url:
          type: string
        status:
          type: string
          enum:
            - idle
            - cancelled
            - completed
            - failed
            - scraping
        created_at:
          type: string
        updated_at:
          type: string
        completed_at:
          type: string
          nullable: true
        completed_pages:
          type: number
          nullable: true
        error_message:
          type: string
          nullable: true
        total_pages:
          type: number
          nullable: true
        tenant_id:
          type: string
      required:
        - id
        - graphite_project_id
        - url
        - status
        - created_at
        - updated_at
        - completed_at
        - completed_pages
        - error_message
        - total_pages
        - tenant_id

````